package config

var Config GatewayConfig

type GatewayConfig struct {
	Server    Server             `json:"server" yaml:"server" toml:"server"`
	Auth      Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Handlers  map[string]Handler `json:"handlers" yaml:"handlers" toml:"handlers"`
}
